Skip to main content
GET
/
api
/
v1
/
apps
/
{app_id}
/
coverage
Get App Coverage
curl --request GET \
  --url https://backend.revyl.ai/api/v1/apps/{app_id}/coverage \
  --header 'Authorization: Bearer <token>'
{
  "app_id": "<string>",
  "current_build_version": "<string>",
  "latest_build_version": "<string>",
  "total": 0,
  "items": [
    {
      "test_id": "<string>",
      "test_name": "<string>",
      "relationship": "<string>",
      "pinned_version": "<string>",
      "target_build_version": "<string>",
      "last_status": "<string>",
      "last_execution_time": "2023-11-07T05:31:56Z",
      "last_execution_id": "<string>",
      "last_duration_seconds": 123,
      "last_observed_build_id": "<string>",
      "last_observed_build_version": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_id
string<uuid>
required

Response

Successful Response

app_id
string
required
current_build_version
string | null
latest_build_version
string | null
total
integer
default:0
items
AppCoverageItem · object[]